%global path_utils_version    0.2.1
%global dhash_version         0.5.0
%global collection_version    0.7.0
%global ref_array_version     0.1.5
%global basicobjects_version  0.1.1
%global ini_config_version    1.3.1

Summary:       "DING is not GNU" helper libraries for SSSD and FreeIPA
Name:          ding-libs
Version:       0.6.2
Release:       4%{?dist}
License:       LGPLv3+
URL:           https://github.com/SSSD/ding-libs
Source0:       %{url}/releases/download/%{version}/%{name}-%{version}.tar.gz

BuildRequires: autoconf automake gcc make libtool m4 pkgconfig
BuildRequires: doxygen gettext-devel check-devel
Requires:      libpath_utils = %{path_utils_version}-%{release}
Requires:      libdhash = %{dhash_version}-%{release}
Requires:      libcollection = %{collection_version}-%{release}
Requires:      libref_array = %{ref_array_version}-%{release}
Requires:      libbasicobjects = %{basicobjects_version}-%{release}
Requires:      libini_config = %{ini_config_version}-%{release}

%description
A meta-package that pulls in libpath_utils, libdhash, libcollection,
librefarray, libbasicobjects, and libini_config.


%package -n libpath_utils
Summary:       Filesystem Path Utilities
Version:       %{path_utils_version}
License:       LGPLv3+

%description -n libpath_utils
Utility to manipulate filesystem pathnames.


%package -n libpath_utils-devel
Summary:       Development files for libpath_utils
Version:       %{path_utils_version}
License:       LGPLv3+
Requires:      libpath_utils = %{path_utils_version}-%{release}

%description -n libpath_utils-devel
Development files for libpath_utils(Utility to manipulate filesystem pathnames). 


%package -n libdhash
Summary:       Dynamic hash table
Version:       %{dhash_version}
License:       LGPLv3+

%description -n libdhash
A hash table which will dynamically resize to achieve optimal storage & access
time.


%package -n libdhash-devel
Summary:       Development files for libdhash
Version:       %{dhash_version}
License:       LGPLv3+
Requires:      libdhash = %{dhash_version}-%{release}

%description -n libdhash-devel
Development files for libdhash(A hash table which will dynamically resize to achieve
optimal storage & access time)


%package -n libcollection
Summary:       Collection data-type for C
Version:       %{collection_version}
License:       LGPLv3+

%description -n libcollection
A data-type to collect data in a hierarchical structure for easy iteration
and serialization.


%package -n libcollection-devel
Summary:       Development files for libcollection
Version:       %{collection_version}
License:       LGPLv3+
Requires:      libcollection = %{collection_version}-%{release}

%description -n libcollection-devel
Development files for libcollection(A data-type to collect data in a hierarchical structure
for easy iteration and serialization).


%package -n libref_array
Summary:       A refcounted array for C
Version:       %{ref_array_version}
License:       LGPLv3+

%description -n libref_array
A dynamically-growing, reference-counted array.


%package -n libref_array-devel
Summary:       Development files for libref_array
Version:       %{ref_array_version}
License:       LGPLv3+
Requires:      libref_array = %{ref_array_version}-%{release}

%description -n libref_array-devel
Development files for libref_array(A dynamically-growing, reference-counted array).


%package -n libbasicobjects
Summary:       Basic object types for C
Version:       %{basicobjects_version}
License:       GPLv3+

%description -n libbasicobjects
Basic object types.


%package -n libbasicobjects-devel
Summary:       Development files for libbasicobjects
Version:       %{basicobjects_version}
License:       GPLv3+
Requires:      libbasicobjects = %{basicobjects_version}-%{release}

%description -n libbasicobjects-devel
Development files for libbasicobjects(Basic object types).


%package -n libini_config
Summary:       INI file parser for C
Version:       %{ini_config_version}
License:       LGPLv3+
Requires:      libpath_utils = %{path_utils_version}-%{release}
Requires:      libcollection = %{collection_version}-%{release}
Requires:      libref_array = %{ref_array_version}-%{release}
Requires:      libbasicobjects = %{basicobjects_version}-%{release}

%description -n libini_config
Library to process config files in INI format into a libcollection data
structure.


%package -n libini_config-devel
Summary:       Development files for libini_config
Version:       %{ini_config_version}
License:       LGPLv3+
Requires:      libcollection-devel = %{collection_version}-%{release}
Requires:      libref_array-devel = %{ref_array_version}-%{release}
Requires:      libbasicobjects-devel = %{basicobjects_version}-%{release}
Requires:      libini_config = %{ini_config_version}-%{release}

%description -n libini_config-devel
Development files for libini_config(Library to process config files in INI format
into a libcollection data structure).


%prep
%autosetup


%build
autoreconf -ivf
%configure --disable-static
make %{?_smp_mflags} all docs


%install
%make_install
find %buildroot -type f -name "*.la" -delete -print
rm -rf %buildroot/%_datadir/doc/ding-libs
rm -f */doc/html/installdox


%check
make %{?_smp_mflags} check


%files -n libpath_utils
%license COPYING COPYING.LESSER
%{_libdir}/libpath_utils.so.1
%{_libdir}/libpath_utils.so.1.0.1

%files -n libpath_utils-devel
%{_includedir}/path_utils.h
%{_libdir}/libpath_utils.so
%{_libdir}/pkgconfig/path_utils.pc
%doc path_utils/README.path_utils
%doc path_utils/doc/html/

%files -n libdhash
%license COPYING COPYING.LESSER
%{_libdir}/libdhash.so.1
%{_libdir}/libdhash.so.1.1.0

%files -n libdhash-devel
%{_includedir}/dhash.h
%{_libdir}/libdhash.so
%{_libdir}/pkgconfig/dhash.pc
%doc dhash/README.dhash
%doc dhash/examples/*.c

%files -n libcollection
%license COPYING COPYING.LESSER
%{_libdir}/libcollection.so.*

%files -n libcollection-devel
%{_includedir}/collection*.h
%{_libdir}/libcollection.so
%{_libdir}/pkgconfig/collection.pc
%doc collection/doc/html/

%files -n libref_array
%license COPYING COPYING.LESSER
%{_libdir}/libref_array.so.1
%{_libdir}/libref_array.so.1.2.1

%files -n libref_array-devel
%{_includedir}/ref_array.h
%{_libdir}/libref_array.so
%{_libdir}/pkgconfig/ref_array.pc
%doc refarray/README.ref_array
%doc refarray/doc/html/

%files -n libbasicobjects
%license COPYING COPYING.LESSER
%{_libdir}/libbasicobjects.so.0
%{_libdir}/libbasicobjects.so.0.1.0

%files -n libbasicobjects-devel
%{_includedir}/simplebuffer.h
%{_libdir}/libbasicobjects.so
%{_libdir}/pkgconfig/basicobjects.pc

%files -n libini_config
%license COPYING COPYING.LESSER
%{_libdir}/libini_config.so.5
%{_libdir}/libini_config.so.5.2.1

%files -n libini_config-devel
%{_includedir}/ini_*.h
%{_libdir}/libini_config.so
%{_libdir}/pkgconfig/ini_config.pc
%doc ini/doc/html/


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.2-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.2-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Jul 04 2022 rockerzhu <rockerzhu@tencent.com> - 0.6.2-1
- Initial build
